# assessments

## Retrieving Assessments

## Retrieve assessment(s).

<mark style="color:blue;">`GET`</mark> `https://487q8d7goe.execute-api.us-east-1.amazonaws.com/production/assessments`

Obtains all the assessments recorded or a specific assessment within your Valor account.

#### Query Parameters

| Name         | Type   | Description                                       |
| ------------ | ------ | ------------------------------------------------- |
| assessmentID | String | ID of specific assessment type for focused search |

#### Headers

| Name                                            | Type   | Description                                                                          |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | <p>JWT Bearer Token for authentication: <br><strong>Bearer \<JWT token></strong></p> |

{% tabs %}
{% tab title="200: OK Assessments successfully retrieved" %}

```json
{
    "statusCode": 200,
    "body": [{"Assessment ID": "", "athleteID": "", "Assessment Name": ""}] //Array of assessments found
}
```

{% endtab %}

{% tab title="404: Not Found No assessments found for this organization" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Endpoint request timed out" %}

```json
{
    "message": "String type - this will contain more details about the problem encountered"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://valor-biomechanics.gitbook.io/api/reference/api-reference/assessments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
